Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229103 - Yumex error (please change summary properly!!)
Summary: Yumex error (please change summary properly!!)
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: yumex
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Lauridsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-17 04:11 UTC by Alexandre Laquerre
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-12 06:59:00 UTC


Attachments (Terms of Use)

Description Alexandre Laquerre 2007-02-17 04:11:59 UTC
Spec URL: <spec info here>
SRPM URL: <srpm info here>
Description: <Yumex Problem>

Hi, i wish i understood what i did wrong but everytime i start my yumex this 
information popups when i start the yumex and well i am still pretty new to this so im clueless to this problem.

Component: yumex
Version: 1.2.2
Summary: TB4426d5a1 ConfigParser.py:490:_read:ParsingError: File contains parsing errors: /etc/yum.repos.d/livna.repo
	[line 48]: 'x\n'

Traceback (most recent call last):
  File "/usr/share/yumex/yumexmain.py", line 1108, in ?
    mainApp = YumexMainApplication()
  File "/usr/share/yumex/yumexmain.py", line 506, in __init__
    self.repo = Repository()
  File "/usr/lib/python2.4/site-packages/yumex/yumexUtils.py", line 1265, in __init__
    self.update()
  File "/usr/lib/python2.4/site-packages/yumex/yumexUtils.py", line 1348, in update
    self.build_section_dict()
  File "/usr/lib/python2.4/site-packages/yumex/yumexUtils.py", line 1324, in build_section_dict
    tcfg.read( r )
  File "/usr/lib/python2.4/ConfigParser.py", line 267, in read
    self._read(fp, filename)
  File "/usr/lib/python2.4/ConfigParser.py", line 490, in _read
    raise e
ParsingError: File contains parsing errors: /etc/yum.repos.d/livna.repo
	[line 48]: 'x\n'

Local variables in innermost frame:
sectname: livna-source
cursect: {'name': 'Livna for Fedora Core $releasever - $basearch - Source', 'failovermethod': 'priority', 'gpgkey': 'file:///etc/pki/rpm-gpg/RPM-GPG-KEY-livna', 'enabled': '0', 'baseurl': '\nhttp://rpm.livna.org/fedora/$releasever/SRPMS/\nhttp://livna.cat.pdx.edu/fedora/$releasever/SRPMS/\nhttp://wftp.tu-chemnitz.de/pub/linux/livna/fedora/$releasever/SRPMS/\nhttp://ftp-stud.fht-esslingen.de/pub/Mirrors/rpm.livna.org/fedora/$releasever/SRPMS/\nhttp://mirror.atrpms.net/livna/fedora/$releasever/SRPMS/\nftp://mirrors.tummy.com/pub/rpm.livna.org/fedora/$releasever/SRPMS/', 'gpgcheck': '1', '__name__': 'livna-source'}
e: File contains parsing errors: /etc/yum.repos.d/livna.repo
	[line 48]: 'x\n'
fpname: /etc/yum.repos.d/livna.repo
vi: =
mo: None
value: ftp://mirrors.tummy.com/pub/rpm.livna.org/fedora/$releasever/SRPMS/
optname: gpgcheck
fp: <open file '/etc/yum.repos.d/livna.repo', mode 'r' at 0x9e1f458>
lineno: 49
line: 
self: <ConfigParser.ConfigParser instance at 0x9e27fec>
optval: 1

Comment 1 Tim Lauridsen 2007-02-17 07:02:35 UTC
This error occours because there is a syntax error in /etc/yum.repos.d/livna.repo

Try to edit the file as root, if you can find the error then attach the file.



Comment 2 Tim Lauridsen 2007-03-21 13:33:40 UTC
Does it works now


Note You need to log in before you can comment on or make changes to this bug.